package hmggirlfront;

import net.minecraft.init.Blocks;
import net.minecraft.init.Items;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.item.crafting.Ingredient;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.fml.common.registry.GameRegistry;

public class GFRecipeRegistrys_New {
	public static void recipe(){
		int D = Short.MAX_VALUE;
		
		mod_GirlFront mod = mod_GirlFront.INSTANCE;
		
		//　弾薬
		GFRecipe.setRecipe(0, "idoll_bandage", mod.MOD_ID, mod.idoll_bandage, 4,
				 mod.idoll_parts, mod.idoll_food, mod.idoll_parts,
				 null, null, null,
				null, null, null);
		
		GFRecipe.setRecipe(1, "idoll_bullet_9", mod.MOD_ID, mod.idoll_bullet_9, 32,
				 mod.idoll_bullet, null, null,
				 null, null, null,
				null, null, null);
		
		GFRecipe.setRecipe(2, "idoll_bullet_45", mod.MOD_ID, mod.idoll_bullet_45, 24,
				 mod.idoll_bullet, mod.idoll_bullet, null,
				 null, null, null,
				null, null, null);
		
		GFRecipe.setRecipe(3, "idoll_bullet_556", mod.MOD_ID, mod.idoll_bullet_556, 32,
				 mod.idoll_bullet, mod.idoll_bullet, null,
				 mod.idoll_bullet, null, null,
				null, null, null);
		
		GFRecipe.setRecipe(4, "idoll_bullet_762", mod.MOD_ID, mod.idoll_bullet_762, 24,
				 mod.idoll_bullet, mod.idoll_bullet, null,
				 mod.idoll_bullet, mod.idoll_bullet, null,
				null, null, null);
		
		GFRecipe.setRecipe(5, "idoll_bullet_12g", mod.MOD_ID, mod.idoll_bullet_12g, 32,
				 null, mod.idoll_bullet, null,
				 mod.idoll_bullet, null, mod.idoll_bullet,
				null, mod.idoll_bullet, null);
		
		GFRecipe.setRecipe(6, "idoll_bullet_40", mod.MOD_ID, mod.idoll_bullet_40, 8,
				null, mod.idoll_bullet, null,
				 mod.idoll_bullet, mod.idoll_bullet, mod.idoll_bullet,
				null, mod.idoll_bullet, null);
		
		GFRecipe.setRecipe(7, "idoll_bullet_57", mod.MOD_ID, mod.idoll_bullet_57, 32,
				 mod.idoll_bullet, mod.idoll_parts, null,
				 mod.idoll_bullet, mod.idoll_parts, null,
				null, null, null);
		
		GFRecipe.setRecipe(8, "idoll_bullet_473kr", mod.MOD_ID, mod.idoll_bullet_473kr, 16,
				 mod.idoll_parts, mod.idoll_bullet, mod.idoll_parts,
				 mod.idoll_parts, mod.idoll_bullet, mod.idoll_parts,
				 mod.idoll_parts, mod.idoll_bullet, mod.idoll_parts);
		
		
		GFRecipe.setRecipe(10, "idoll_grenade_n", mod.MOD_ID, mod.idoll_grenade_n, 3,
				null, Items.GUNPOWDER, null,
				 Items.GUNPOWDER, mod.idoll_parts, Items.GUNPOWDER,
				null, Items.GUNPOWDER, null);
		
		GFRecipe.setRecipe(11, "idoll_grenade_f", mod.MOD_ID, mod.idoll_grenade_f, 1,
				 mod.idoll_grenade_n, Item.getItemFromBlock(Blocks.TORCH), null,
				 null, null, null,
				null, null, null);
		
		GFRecipe.setRecipe(12, "idoll_grenade_s", mod.MOD_ID, mod.idoll_grenade_s, 1,
				 mod.idoll_grenade_n, Items.COAL, null,
				 null, null, null,
				null, null, null);
		
		GFRecipe.setRecipe(13, "idoll_grenade_fb", mod.MOD_ID, mod.idoll_grenade_fb, 1,
				 mod.idoll_grenade_n, Items.GLOWSTONE_DUST, null,
				 null, null, null,
				null, null, null);
		
		GFRecipe.setRecipe(15, "armor_pmc_head", mod.MOD_ID, mod.armor_pmc_head, 1,
				mod.idoll_parts, mod.idoll_parts, mod.idoll_parts,
				mod.idoll_parts, null, mod.idoll_parts,
				null, null, null);
		
		GFRecipe.setRecipe(16, "armor_pmc_chest", mod.MOD_ID, mod.armor_pmc_chest, 1,
				mod.idoll_parts, null, mod.idoll_parts,
				mod.idoll_parts, mod.idoll_parts, mod.idoll_parts,
				mod.idoll_parts, mod.idoll_parts, mod.idoll_parts);
		
		GFRecipe.setRecipe(17, "armor_pmc_legs", mod.MOD_ID, mod.armor_pmc_legs, 1,
				mod.idoll_parts, mod.idoll_parts, mod.idoll_parts,
				mod.idoll_parts, null, mod.idoll_parts,
				mod.idoll_parts, null, mod.idoll_parts);
		
		GFRecipe.setRecipe(18, "armor_pmc_feet", mod.MOD_ID, mod.armor_pmc_feet, 1,
				mod.idoll_parts, null, mod.idoll_parts,
				mod.idoll_parts, null, mod.idoll_parts,
				null, null, null);
		
		
		GFRecipe.setRecipe(19, "armor_anticollapse_head", mod.MOD_ID, mod.armor_anticollapse_head, 1,
				mod.idoll_parts, mod.armor_pmc_head, mod.idoll_parts,
				null, null, null,
				null, null, null);
		
		GFRecipe.setRecipe(20, "armor_anticollapse_chest", mod.MOD_ID, mod.armor_anticollapse_chest, 1,
				mod.idoll_parts, mod.armor_pmc_chest, mod.idoll_parts,
				null, null, null,
				null, null, null);
		
		GFRecipe.setRecipe(21, "armor_anticollapse_legs", mod.MOD_ID, mod.armor_anticollapse_legs, 1,
				mod.idoll_parts, mod.armor_pmc_legs, mod.idoll_parts,
				null, null, null,
				null, null, null);
		
		GFRecipe.setRecipe(22, "armor_anticollapse_feet", mod.MOD_ID, mod.armor_anticollapse_feet, 1,
				mod.idoll_parts, mod.armor_pmc_feet, mod.idoll_parts,
				null, null, null,
				null, null, null);
		
		GFRecipe.setRecipe(23, "armor_army_m_head", mod.MOD_ID, mod.armor_army_m_head, 1,
				mod.idoll_l_performance_circuit, mod.armor_pmc_head, null,
				null, null, null,
				null, null, null);
		
		GFRecipe.setRecipe(24, "armor_army_m_chest", mod.MOD_ID, mod.armor_army_m_chest, 1,
				mod.idoll_l_performance_circuit, mod.armor_pmc_chest, null,
				null, null, null,
				null, null, null);
		
		GFRecipe.setRecipe(25, "armor_army_m_legs", mod.MOD_ID, mod.armor_army_m_legs, 1,
				mod.idoll_l_performance_circuit, mod.armor_pmc_legs, null,
				null, null, null,
				null, null, null);
		
		GFRecipe.setRecipe(26, "armor_army_m_feet", mod.MOD_ID, mod.armor_army_m_feet, 1,
				mod.idoll_l_performance_circuit, mod.armor_pmc_feet, null,
				null, null, null,
				null, null, null);
		
		
		GFRecipe.setRecipe(27, "armor_army_h_head", mod.MOD_ID, mod.armor_army_h_head, 1,
				mod.idoll_h_performance_circuit, mod.armor_pmc_head, null,
				null, null, null,
				null, null, null);
		
		GFRecipe.setRecipe(28, "armor_army_h_chest", mod.MOD_ID, mod.armor_army_h_chest, 1,
				mod.idoll_h_performance_circuit, mod.armor_pmc_chest, null,
				null, null, null,
				null, null, null);
		
		GFRecipe.setRecipe(29, "armor_army_h_legs", mod.MOD_ID, mod.armor_army_h_legs, 1,
				mod.idoll_h_performance_circuit, mod.armor_pmc_legs, null,
				null, null, null,
				null, null, null);
		
		GFRecipe.setRecipe(291, "armor_army_h_feet", mod.MOD_ID, mod.armor_army_h_feet, 1,
				mod.idoll_h_performance_circuit, mod.armor_pmc_feet, null,
				null, null, null,
				null, null, null);
		
		GFRecipe.setRecipe(300, "b_block_9mmpack_df", mod.MOD_ID, mod.b_block_9mmpack_df, 1,
				mod.idoll_bullet_9, mod.idoll_bullet_9, mod.idoll_bullet_9,
				mod.idoll_bullet_9, mod.idoll_bullet_9, mod.idoll_bullet_9,
				mod.idoll_bullet_9, mod.idoll_bullet_9, mod.idoll_bullet_9);
		GFRecipe.setRecipe(301, "idoll_bullet_9_1", mod.MOD_ID, mod.idoll_bullet_9, 9,
				Item.getItemFromBlock(mod.b_block_9mmpack_df), null, null,
				null, null, null,
				null, null, null);
		
		GFRecipe.setRecipe(302, "b_block_556pack_df", mod.MOD_ID, mod.b_block_556pack_df, 1,
				mod.idoll_bullet_556, mod.idoll_bullet_556, mod.idoll_bullet_556,
				mod.idoll_bullet_556, mod.idoll_bullet_556, mod.idoll_bullet_556,
				mod.idoll_bullet_556, mod.idoll_bullet_556, mod.idoll_bullet_556);
		GFRecipe.setRecipe(303, "idoll_bullet_556_1", mod.MOD_ID, mod.idoll_bullet_556, 9,
				Item.getItemFromBlock(mod.b_block_556pack_df), null, null,
				null, null, null,
				null, null, null);
		
		GFRecipe.setRecipe(304, "b_block_12gpack_df", mod.MOD_ID, mod.b_block_12gpack_df, 1,
				mod.idoll_bullet_12g, mod.idoll_bullet_12g, mod.idoll_bullet_12g,
				mod.idoll_bullet_12g, mod.idoll_bullet_12g, mod.idoll_bullet_12g,
				mod.idoll_bullet_12g, mod.idoll_bullet_12g, mod.idoll_bullet_12g);
		GFRecipe.setRecipe(305, "idoll_bullet_12g_1", mod.MOD_ID, mod.idoll_bullet_12g, 9,
				Item.getItemFromBlock(mod.b_block_12gpack_df), null, null,
				null, null, null,
				null, null, null);
		
		GFRecipe.setRecipe(306, "b_block_40mmgr_ammo_df", mod.MOD_ID, mod.b_block_40mmgr_ammo_df, 1,
				mod.idoll_bullet_40, mod.idoll_bullet_40, mod.idoll_bullet_40,
				mod.idoll_bullet_40, mod.idoll_bullet_40, mod.idoll_bullet_40,
				mod.idoll_bullet_40, mod.idoll_bullet_40, mod.idoll_bullet_40);
		GFRecipe.setRecipe(307, "idoll_bullet_40_1", mod.MOD_ID, mod.idoll_bullet_40, 9,
				Item.getItemFromBlock(mod.b_block_40mmgr_ammo_df), null, null,
				null, null, null,
				null, null, null);
		
		GFRecipe.setRecipe(308, "b_block_57pack_df", mod.MOD_ID, mod.b_block_57pack_df, 1,
				mod.idoll_bullet_57, mod.idoll_bullet_57, mod.idoll_bullet_57,
				mod.idoll_bullet_57, mod.idoll_bullet_57, mod.idoll_bullet_57,
				mod.idoll_bullet_57, mod.idoll_bullet_57, mod.idoll_bullet_57);
		GFRecipe.setRecipe(309, "idoll_bullet_57_1", mod.MOD_ID, mod.idoll_bullet_57, 9,
				Item.getItemFromBlock(mod.b_block_57pack_df), null, null,
				null, null, null,
				null, null, null);
		
		GFRecipe.setRecipe(310, "b_block_114pack_df", mod.MOD_ID, mod.b_block_114pack_df, 1,
				mod.idoll_bullet_45, mod.idoll_bullet_45, mod.idoll_bullet_45,
				mod.idoll_bullet_45, mod.idoll_bullet_45, mod.idoll_bullet_45,
				mod.idoll_bullet_45, mod.idoll_bullet_45, mod.idoll_bullet_45);
		GFRecipe.setRecipe(311, "idoll_bullet_45_1", mod.MOD_ID, mod.idoll_bullet_45, 9,
				Item.getItemFromBlock(mod.b_block_114pack_df), null, null,
				null, null, null,
				null, null, null);
		
		GFRecipe.setRecipe(312, "b_block_473pack_df", mod.MOD_ID, mod.b_block_473pack_df, 1,
				mod.idoll_bullet_473kr, mod.idoll_bullet_473kr, mod.idoll_bullet_473kr,
				mod.idoll_bullet_473kr, mod.idoll_bullet_473kr, mod.idoll_bullet_473kr,
				mod.idoll_bullet_473kr, mod.idoll_bullet_473kr, mod.idoll_bullet_473kr);
		GFRecipe.setRecipe(313, "idoll_bullet_473kr_1", mod.MOD_ID, mod.idoll_bullet_473kr, 9,
				Item.getItemFromBlock(mod.b_block_473pack_df), null, null,
				null, null, null,
				null, null, null);
		
		GFRecipe.setRecipe(314, "b_block_762pack_df", mod.MOD_ID, mod.b_block_762pack_df, 1,
				mod.idoll_bullet_762, mod.idoll_bullet_762, mod.idoll_bullet_762,
				mod.idoll_bullet_762, mod.idoll_bullet_762, mod.idoll_bullet_762,
				mod.idoll_bullet_762, mod.idoll_bullet_762, mod.idoll_bullet_762);
		GFRecipe.setRecipe(315, "idoll_bullet_762_1", mod.MOD_ID, mod.idoll_bullet_762, 9,
				Item.getItemFromBlock(mod.b_block_762pack_df), null, null,
				null, null, null,
				null, null, null);
		
		//　ユーティリティ
		GFRecipe.setRecipe(99, "relief_gunpowder", mod.MOD_ID, Items.GUNPOWDER, 1,
				Items.COAL, Item.getItemFromBlock(Blocks.DIRT), null,
				Item.getItemFromBlock(Blocks.DIRT), Items.COAL, null,
				null, null, null);
		GFRecipe.setRecipe(100, "idoll_hp", mod.MOD_ID, mod.idoll_hp, 4,
				Items.STICK, Items.IRON_INGOT, Items.STICK,
				 null, null, null,
				null, null, null);
		GFRecipe.setRecipe(101, "idoll_bullet", mod.MOD_ID, mod.idoll_bullet, 8,
				Items.GUNPOWDER, Items.IRON_INGOT, Items.GUNPOWDER,
				 null, null, null,
				null, null, null);
		GFRecipe.setRecipe(102, "idoll_food", mod.MOD_ID, mod.idoll_food, 8,
				Items.STICK, Items.BREAD, Items.STICK,
				 null, null, null,
				null, null, null);
		GFRecipe.setRecipe(103, "idoll_food1", mod.MOD_ID, mod.idoll_food, 8,
				Items.STICK, Items.APPLE, Items.STICK,
				 null, null, null,
				null, null, null);
		GFRecipe.setRecipe(104, "idoll_food2", mod.MOD_ID, mod.idoll_food, 8,
				Items.STICK, Items.BEETROOT, Items.STICK,
				 null, null, null,
				null, null, null);
		GFRecipe.setRecipe(105, "idoll_food3", mod.MOD_ID, mod.idoll_food, 4,
				Items.STICK, Items.SUGAR, Items.STICK,
				 null, null, null,
				null, null, null);
		GFRecipe.setRecipe(106, "idoll_parts", mod.MOD_ID, mod.idoll_parts, 8,
				Items.STICK, null, Items.STICK,
				 null, Items.IRON_INGOT, null,
				 Items.STICK, null, Items.STICK);
		
		
		GFRecipe.setRecipe(107, "idoll_doll_contract", mod.MOD_ID, mod.idoll_doll_contract, 1,
				mod.idoll_parts, Items.IRON_INGOT, mod.idoll_parts,
				Items.IRON_INGOT, Items.IRON_INGOT, Items.IRON_INGOT,
				mod.idoll_parts, Items.IRON_INGOT, mod.idoll_parts);
		
		GFRecipe.setRecipe(108, "idoll_doll_repair", mod.MOD_ID, mod.idoll_doll_repair, 1,
				mod.idoll_parts, mod.idoll_food, mod.idoll_parts,
				mod.idoll_food, mod.idoll_food, mod.idoll_food,
				mod.idoll_parts, mod.idoll_food, mod.idoll_parts);
		
		GFRecipe.setRecipe(109, "idoll_doll_dismantling", mod.MOD_ID, mod.idoll_doll_dismantling, 1,
				Items.IRON_PICKAXE, mod.idoll_parts, Items.IRON_AXE,
				 null, null, null,
				null, null, null);
		
		GFRecipe.setRecipe(111, "idoll_doll_report", mod.MOD_ID, mod.idoll_doll_report, 1,
				mod.idoll_parts, Items.EMERALD, mod.idoll_parts,
				Items.EMERALD, Items.EMERALD, Items.EMERALD,
				mod.idoll_parts, Items.EMERALD, mod.idoll_parts);
		
		GFRecipe.setRecipe(112, "idoll_squad_cn", mod.MOD_ID, mod.idoll_squad_cn, 1,
				Items.REDSTONE, null, null,
				mod.idoll_parts, mod.idoll_parts, null,
				mod.idoll_parts, mod.idoll_parts, null);
		
		GFRecipe.setRecipe(113, "idoll_pad", mod.MOD_ID, mod.idoll_pad, 1,
				mod.idoll_parts, null, mod.idoll_parts,
				mod.idoll_parts, mod.idoll_squad_cn, mod.idoll_parts,
				mod.idoll_parts, null, mod.idoll_parts);
		
		GFRecipe.setRecipe(114, "ve_weaponchange", mod.MOD_ID, mod.ve_weaponchange, 1,
				mod.idoll_parts, mod.idoll_doll_dismantling, mod.idoll_parts,
				 null, null, null,
				null, null, null);
		
		GFRecipe.setRecipe(115, "idoll_h_performance_circuit", mod.MOD_ID, mod.idoll_h_performance_circuit, 1,
				 mod.idoll_l_performance_circuit, mod.idoll_l_performance_circuit, null,
				 mod.idoll_l_performance_circuit, mod.idoll_l_performance_circuit, null,
				 null, null, null);
		
		GFRecipe.setRecipe(116, "item_drone", mod.MOD_ID, mod.item_drone, 1,
				 mod.idoll_h_performance_circuit, mod.idoll_h_performance_circuit, mod.idoll_h_performance_circuit,
				 mod.idoll_h_performance_circuit, mod.idoll_core, mod.idoll_h_performance_circuit,
				 mod.idoll_h_performance_circuit, mod.idoll_h_performance_circuit, mod.idoll_h_performance_circuit);
		
		GFRecipe.setRecipe(117, "idoll_pledge", mod.MOD_ID, mod.idoll_pledge, 1,
				 mod.idoll_doll_contract, mod.idoll_doll_contract, mod.idoll_doll_contract,
				 mod.idoll_doll_contract, Items.NETHER_STAR, mod.idoll_doll_contract,
				 mod.idoll_doll_contract, mod.idoll_doll_contract, mod.idoll_doll_contract);
		
		GFRecipe.setRecipe(118, "bdoll_frontlinebase", mod.MOD_ID, mod.bdoll_frontlinebase, 1,
				 mod.idoll_parts, mod.idoll_parts, mod.idoll_parts,
				 mod.idoll_parts, Items.EMERALD, mod.idoll_parts,
				 mod.idoll_parts, mod.idoll_parts, mod.idoll_parts);
		
		
		GFRecipe.setRecipe(400, "b_block_sandbag_b2_df", mod.MOD_ID, mod.b_block_sandbag_b2_df, 2,
				Item.getItemFromBlock(mod.b_block_sandbag_b1_df), null, null,
				null, null, null,
				null, null, null);
		GFRecipe.setRecipe(401, "b_block_sandbag_a1_df", mod.MOD_ID, mod.b_block_sandbag_a1_df, 1,
				Item.getItemFromBlock(mod.b_block_sandbag_b2_df), null, null,
				null, null, null,
				null, null, null);
		GFRecipe.setRecipe(402, "b_block_sandbag_a2_df", mod.MOD_ID, mod.b_block_sandbag_a2_df, 2,
				Item.getItemFromBlock(mod.b_block_sandbag_a1_df), null, null,
				null, null, null,
				null, null, null);
		
		
		
		
		
		//　乗り物
		GFRecipe.setRecipe(80, "gk_kalina", mod.MOD_ID, mod.gk_kalina, 1,
				null, mod.idoll_hp, null,
				 mod.idoll_hp, mod.idoll_squad_cn, mod.idoll_hp,
				 null, mod.idoll_hp, null);
		
		GFRecipe.setRecipe(81, "helianthus", mod.MOD_ID, mod.helianthus, 1,
				mod.idoll_parts, mod.idoll_hp, mod.idoll_parts,
				 mod.idoll_hp, mod.idoll_squad_cn, mod.idoll_hp,
				 mod.idoll_parts, mod.idoll_hp, mod.idoll_parts);
		
		GFRecipe.setRecipe(82, "gk_kryuger", mod.MOD_ID, mod.gk_kryuger, 1,
				null, mod.idoll_food, null,
				 mod.idoll_parts, mod.idoll_squad_cn, mod.idoll_bullet,
				 null, mod.idoll_hp, null);
		
		
		GFRecipe.setRecipe(83, "ve_bike", mod.MOD_ID, mod.ve_bike, 1,
				 mod.idoll_parts, null, null,
				 mod.idoll_parts, mod.idoll_squad_cn, mod.idoll_parts,
				 null, null, null);
		
		GFRecipe.setRecipe(84, "ve_hmmwv", mod.MOD_ID, mod.ve_hmmwv, 1,
				 mod.idoll_parts, null, mod.idoll_parts,
				 mod.idoll_parts, mod.idoll_squad_cn, mod.idoll_parts,
				 null, null, null);
		
		GFRecipe.setRecipe(85, "ve_rhib", mod.MOD_ID, mod.ve_rhib, 1,
				 mod.idoll_parts, mod.idoll_squad_cn, null,
				 mod.idoll_parts, mod.idoll_parts, mod.idoll_parts,
				 null, null, null);
		
		GFRecipe.setRecipe(86, "ve_truck", mod.MOD_ID, mod.ve_truck, 1,
				 mod.idoll_parts, mod.idoll_parts, mod.idoll_parts,
				 mod.idoll_parts, mod.idoll_squad_cn, mod.idoll_parts,
				 null, null, null);
		
		GFRecipe.setRecipe(87, "ve_apc", mod.MOD_ID, mod.ve_apc, 1,
				 null, mod.idoll_parts, null,
				 mod.idoll_parts, mod.idoll_parts, mod.idoll_parts,
				 mod.idoll_parts,  mod.idoll_squad_cn,  mod.idoll_parts);
		
		GFRecipe.setRecipe(88, "ve_heli", mod.MOD_ID, mod.ve_heli, 1,
				 mod.idoll_parts, mod.idoll_parts, mod.idoll_parts,
				 mod.idoll_parts, mod.idoll_squad_cn, mod.idoll_parts,
				 mod.idoll_parts, mod.idoll_parts, mod.idoll_parts);
		
		GFRecipe.setRecipe(89, "ve_ifv", mod.MOD_ID, mod.ve_ifv, 1,
				null, mod.ve_apc, mod.ve_apc,
				 mod.ve_apc, mod.ve_apc, mod.ve_apc,
				 null, null, null);
		GFRecipe.setRecipe(90, "gk_springfield", mod.MOD_ID, mod.gk_springfield, 1,
				mod.idoll_squad_cn, mod.core_m1903, null,
				null, null, null,
				 null, null, null);
		
		
		
		
		
		
		//　ブロック
		GFRecipe.setRecipe(30, "bdoll_crafting", mod.MOD_ID, mod.bdoll_crafting, 1,
				 mod.idoll_doll_contract, mod.idoll_parts, mod.idoll_doll_contract,
				 mod.idoll_parts, mod.idoll_parts, mod.idoll_parts,
				 mod.idoll_doll_contract, mod.idoll_parts, mod.idoll_doll_contract);
		
		GFRecipe.setRecipe(31, "bdoll_dismantling", mod.MOD_ID, mod.bdoll_dismantling, 1,
				 mod.idoll_doll_dismantling, mod.idoll_parts, mod.idoll_doll_dismantling,
				 mod.idoll_parts, mod.idoll_parts, mod.idoll_parts,
				 mod.idoll_doll_dismantling, mod.idoll_parts, mod.idoll_doll_dismantling);
		
		GFRecipe.setRecipe(32, "bdoll_doll_Restoring_machine", mod.MOD_ID, mod.bdoll_doll_Restoring_machine, 1,
				 mod.idoll_core, mod.idoll_parts, mod.idoll_core,
				 mod.idoll_parts, mod.idoll_parts, mod.idoll_parts,
				 mod.idoll_core, mod.idoll_parts, mod.idoll_core);
		
		GFRecipe.setRecipe(33, "b_block_rcc_df", mod.MOD_ID, mod.b_block_rcc_df, 2,
				Item.getItemFromBlock(Blocks.COBBLESTONE), mod.idoll_parts, null,
				 mod.idoll_parts, Item.getItemFromBlock(Blocks.COBBLESTONE), null,
				 null, null, null);
		
		
		GFRecipe.setRecipe(201, "help_base_headquarters", mod.MOD_ID, mod.help_base_headquarters, 1,
				Items.EMERALD, Items.EMERALD, Items.EMERALD,
				 Items.EMERALD, Item.getItemFromBlock(mod.bdoll_crafting), Items.EMERALD,
				 Items.EMERALD, Items.EMERALD, Items.EMERALD);
		
		GFRecipe.setRecipe(202, "help_base_oil_complex", mod.MOD_ID, mod.help_base_oil_complex, 1,
				null, Items.EMERALD, null,
				 Items.EMERALD, Item.getItemFromBlock(mod.help_base_headquarters), Items.EMERALD,
				 null, Items.EMERALD, null);
		
		GFRecipe.setRecipe(203, "help_base_desert_base", mod.MOD_ID, mod.help_base_desert_base, 1,
				null, Items.EMERALD, null,
				 Items.EMERALD, Item.getItemFromBlock(mod.help_base_oil_complex), Items.EMERALD,
				 null, Items.EMERALD, null);
		
		GFRecipe.setRecipe(204, "help_base_forest_base", mod.MOD_ID, mod.help_base_forest_base, 1,
				null, Items.EMERALD, null,
				 Items.EMERALD, Item.getItemFromBlock(mod.help_base_desert_base), Items.EMERALD,
				 null, Items.EMERALD, null);
		
		GFRecipe.setRecipe(205, "help_base_amusement", mod.MOD_ID, mod.help_base_amusement, 1,
				null, Items.EMERALD, null,
				 Items.EMERALD, Item.getItemFromBlock(mod.help_base_forest_base), Items.EMERALD,
				 null, Items.EMERALD, null);
		
		GFRecipe.setRecipe(206, "help_base_observation_base", mod.MOD_ID, mod.help_base_observation_base, 1,
				null, Items.EMERALD, null,
				 Items.EMERALD, Item.getItemFromBlock(mod.help_base_amusement), Items.EMERALD,
				 null, Items.EMERALD, null);
		
		GFRecipe.setRecipe(207, "help_base_sea_launch", mod.MOD_ID, mod.help_base_sea_launch, 1,
				null, Items.EMERALD, null,
				 Items.EMERALD, Item.getItemFromBlock(mod.help_base_observation_base), Items.EMERALD,
				 null, Items.EMERALD, null);
		
		//　アタッチメント
		GFRecipe.setRecipe(40, "dollam_class_assalt", mod.MOD_ID, mod.dollam_class_assalt, 1,
				null, mod.idoll_parts, null,
				mod.idoll_parts, mod.idoll_doll_contract, mod.idoll_parts,
				mod.idoll_parts, null, mod.idoll_parts);
		
		GFRecipe.setRecipe(41, "dollam_class_medic", mod.MOD_ID, mod.dollam_class_medic, 1,
				null, mod.idoll_parts, null,
				mod.idoll_parts, mod.idoll_doll_contract, mod.idoll_parts,
				null, mod.idoll_parts, null);
		
		GFRecipe.setRecipe(42, "dollam_class_support", mod.MOD_ID, mod.dollam_class_support, 1,
				null, mod.idoll_bullet, null,
				mod.idoll_bullet, mod.idoll_doll_contract, mod.idoll_bullet,
				null, mod.idoll_bullet, null);
		
		GFRecipe.setRecipe(43, "dollam_class_scout", mod.MOD_ID, mod.dollam_class_scout, 1,
				mod.idoll_bullet, mod.idoll_parts, mod.idoll_bullet,
				mod.idoll_parts, mod.idoll_doll_contract, mod.idoll_parts,
				mod.idoll_bullet, mod.idoll_parts, mod.idoll_bullet);
		
		GFRecipe.setRecipe(44, "dollam_class_torcher", mod.MOD_ID, mod.dollam_class_torcher, 1,
				Item.getItemFromBlock(Blocks.TORCH), mod.idoll_parts, Item.getItemFromBlock(Blocks.TORCH),
				mod.idoll_parts, mod.idoll_doll_contract, mod.idoll_parts,
				Item.getItemFromBlock(Blocks.TORCH), mod.idoll_parts, Item.getItemFromBlock(Blocks.TORCH));
		
		
		
		GFRecipe.setRecipe(45, "dollam_bullet_ap2", mod.MOD_ID, mod.dollam_bullet_ap2, 1,
				mod.dollam_bullet_ap, mod.dollam_bullet_ap, mod.dollam_bullet_ap,
				mod.dollam_bullet_ap, mod.dollam_bullet_ap, mod.dollam_bullet_ap,
				mod.dollam_bullet_ap, mod.dollam_bullet_ap, mod.dollam_bullet_ap);
		GFRecipe.setRecipe(46, "dollam_bullet_ap3", mod.MOD_ID, mod.dollam_bullet_ap3, 1,
				mod.dollam_bullet_ap2, mod.dollam_bullet_ap2, mod.dollam_bullet_ap2,
				mod.dollam_bullet_ap2, mod.dollam_bullet_ap2, mod.dollam_bullet_ap2,
				mod.dollam_bullet_ap2, mod.dollam_bullet_ap2, mod.dollam_bullet_ap2);
		
		GFRecipe.setRecipe(47, "dollam_bullet_hv2", mod.MOD_ID, mod.dollam_bullet_hv2, 1,
				mod.dollam_bullet_hv, mod.dollam_bullet_hv, mod.dollam_bullet_hv,
				mod.dollam_bullet_hv, mod.dollam_bullet_hv, mod.dollam_bullet_hv,
				mod.dollam_bullet_hv, mod.dollam_bullet_hv, mod.dollam_bullet_hv);
		GFRecipe.setRecipe(48, "dollam_bullet_hv3", mod.MOD_ID, mod.dollam_bullet_hv3, 1,
				mod.dollam_bullet_hv2, mod.dollam_bullet_hv2, mod.dollam_bullet_hv2,
				mod.dollam_bullet_hv2, mod.dollam_bullet_hv2, mod.dollam_bullet_hv2,
				mod.dollam_bullet_hv2, mod.dollam_bullet_hv2, mod.dollam_bullet_hv2);
		
		GFRecipe.setRecipe(49, "dollam_bullet_hp2", mod.MOD_ID, mod.dollam_bullet_hp2, 1,
				mod.dollam_bullet_hp, mod.dollam_bullet_hp, mod.dollam_bullet_hp,
				mod.dollam_bullet_hp, mod.dollam_bullet_hp, mod.dollam_bullet_hp,
				mod.dollam_bullet_hp, mod.dollam_bullet_hp, mod.dollam_bullet_hp);
		GFRecipe.setRecipe(50, "dollam_bullet_hp3", mod.MOD_ID, mod.dollam_bullet_hp3, 1,
				mod.dollam_bullet_hp2, mod.dollam_bullet_hp2, mod.dollam_bullet_hp2,
				mod.dollam_bullet_hp2, mod.dollam_bullet_hp2, mod.dollam_bullet_hp2,
				mod.dollam_bullet_hp2, mod.dollam_bullet_hp2, mod.dollam_bullet_hp2);
		
		GFRecipe.setRecipe(51, "dollam_bullet_backshot2", mod.MOD_ID, mod.dollam_bullet_backshot2, 1,
				mod.dollam_bullet_backshot, mod.dollam_bullet_backshot, mod.dollam_bullet_backshot,
				mod.dollam_bullet_backshot, mod.dollam_bullet_backshot, mod.dollam_bullet_backshot,
				mod.dollam_bullet_backshot, mod.dollam_bullet_backshot, mod.dollam_bullet_backshot);
		GFRecipe.setRecipe(52, "dollam_bullet_backshot3", mod.MOD_ID, mod.dollam_bullet_backshot3, 1,
				mod.dollam_bullet_backshot2, mod.dollam_bullet_backshot2, mod.dollam_bullet_backshot2,
				mod.dollam_bullet_backshot2, mod.dollam_bullet_backshot2, mod.dollam_bullet_backshot2,
				mod.dollam_bullet_backshot2, mod.dollam_bullet_backshot2, mod.dollam_bullet_backshot2);
		
		GFRecipe.setRecipe(53, "dollam_bullet_srag2", mod.MOD_ID, mod.dollam_bullet_srag2, 1,
				mod.dollam_bullet_srag, mod.dollam_bullet_srag, mod.dollam_bullet_srag,
				mod.dollam_bullet_srag, mod.dollam_bullet_srag, mod.dollam_bullet_srag,
				mod.dollam_bullet_srag, mod.dollam_bullet_srag, mod.dollam_bullet_srag);
		GFRecipe.setRecipe(54, "dollam_bullet_srag3", mod.MOD_ID, mod.dollam_bullet_srag3, 1,
				mod.dollam_bullet_srag2, mod.dollam_bullet_srag2, mod.dollam_bullet_srag2,
				mod.dollam_bullet_srag2, mod.dollam_bullet_srag2, mod.dollam_bullet_srag2,
				mod.dollam_bullet_srag2, mod.dollam_bullet_srag2, mod.dollam_bullet_srag2);
		
		GFRecipe.setRecipe(55, "dollam_bullet_frag2", mod.MOD_ID, mod.dollam_bullet_frag2, 1,
				mod.dollam_bullet_frag, mod.dollam_bullet_frag, mod.dollam_bullet_frag,
				mod.dollam_bullet_frag, mod.dollam_bullet_frag, mod.dollam_bullet_frag,
				mod.dollam_bullet_frag, mod.dollam_bullet_frag, mod.dollam_bullet_frag);
		GFRecipe.setRecipe(56, "dollam_bullet_frag3", mod.MOD_ID, mod.dollam_bullet_frag3, 1,
				mod.dollam_bullet_frag2, mod.dollam_bullet_frag2, mod.dollam_bullet_frag2,
				mod.dollam_bullet_frag2, mod.dollam_bullet_frag2, mod.dollam_bullet_frag2,
				mod.dollam_bullet_frag2, mod.dollam_bullet_frag2, mod.dollam_bullet_frag2);
		
		GFRecipe.setRecipe(57, "dollam_frame_m2", mod.MOD_ID, mod.dollam_frame_m2, 1,
				mod.dollam_frame_m, mod.dollam_frame_m, mod.dollam_frame_m,
				mod.dollam_frame_m, mod.dollam_frame_m, mod.dollam_frame_m,
				mod.dollam_frame_m, mod.dollam_frame_m, mod.dollam_frame_m);
		GFRecipe.setRecipe(58, "dollam_frame_m3", mod.MOD_ID, mod.dollam_frame_m3, 1,
				mod.dollam_frame_m2, mod.dollam_frame_m2, mod.dollam_frame_m2,
				mod.dollam_frame_m2, mod.dollam_frame_m2, mod.dollam_frame_m2,
				mod.dollam_frame_m2, mod.dollam_frame_m2, mod.dollam_frame_m2);
		
		GFRecipe.setRecipe(59, "dollam_frame_x2", mod.MOD_ID, mod.dollam_frame_x2, 1,
				mod.dollam_frame_x, mod.dollam_frame_x, mod.dollam_frame_x,
				mod.dollam_frame_x, mod.dollam_frame_x, mod.dollam_frame_x,
				mod.dollam_frame_x, mod.dollam_frame_x, mod.dollam_frame_x);
		GFRecipe.setRecipe(60, "dollam_frame_x3", mod.MOD_ID, mod.dollam_frame_x3, 1,
				mod.dollam_frame_x2, mod.dollam_frame_x2, mod.dollam_frame_x2,
				mod.dollam_frame_x2, mod.dollam_frame_x2, mod.dollam_frame_x2,
				mod.dollam_frame_x2, mod.dollam_frame_x2, mod.dollam_frame_x2);
		
		GFRecipe.setRecipe(61, "dollam_bodyarmor2", mod.MOD_ID, mod.dollam_bodyarmor2, 1,
				mod.dollam_bodyarmor, mod.dollam_bodyarmor, mod.dollam_bodyarmor,
				mod.dollam_bodyarmor, mod.dollam_bodyarmor, mod.dollam_bodyarmor,
				mod.dollam_bodyarmor, mod.dollam_bodyarmor, mod.dollam_bodyarmor);
		GFRecipe.setRecipe(62, "dollam_bodyarmor3", mod.MOD_ID, mod.dollam_bodyarmor3, 1,
				mod.dollam_bodyarmor2, mod.dollam_bodyarmor2, mod.dollam_bodyarmor2,
				mod.dollam_bodyarmor2, mod.dollam_bodyarmor2, mod.dollam_bodyarmor2,
				mod.dollam_bodyarmor2, mod.dollam_bodyarmor2, mod.dollam_bodyarmor2);
		
		
		/*
		GameRegistry.addShapelessRecipe(
				new ResourceLocation("itemi"),
	                new ResourceLocation("handmadeguns2"),
	                new ItemStack(mod.idoll_bandage, 1), new Ingredient[]{ 
	            		Ingredient.fromItem(Items.APPLE),
	            		Ingredient.fromItem(Items.APPLE), 
	            		Ingredient.fromItem(Items.IRON_INGOT)
				});*/
		
	}
}